@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html,
body {
    font-family: 'Barlow', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a,
.btn-link {
    color: #316660;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type='checkbox']) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #ea535e;
}

.validation-message {
    color: #ea535e;
}

#blazor-error-ui {
    background: #eedb4c;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.close-icon {
    background: #3b417b;
}

.is-checkradio[type='radio'] + label::after,
.is-checkradio[type='radio'] + label:after {
    background: #3b417b;
}

.is-checkradio[type='radio']:hover:not([disabled]) + label::before,
.is-checkradio[type='radio']:hover:not([disabled]) + label:before,
.is-checkradio[type='checkbox']:hover:not([disabled]) + label::before,
.is-checkradio[type='checkbox']:hover:not([disabled]) + label:before {
    border-color: #3b417b !important;
}

.bar-item {
    color: #c6c6c6 !important;
}

.select:not(.is-multiple):not(.is-loading)::after {
    border-color: #979feb !important;
}

.navbar-link:not(.is-arrowless)::after {
    border-color: #9ac6c1;
}

.select:not(.is-multiple):not(.is-loading)::after {
    border-color: #9ac6c1 !important;
}
/*-----------------------------Validations style--------------------------------------*/
.is-success.input,
.is-success.textarea,
.select.is-success select {
    border-color: #4d549f !important;
    color: #3b3a3a !important;
    box-shadow: none !important;
    font-weight: 500 !important;
}

.is-checkradio[type='radio'].is-success:checked + label::after,
.is-checkradio[type='radio'].is-success:checked + label:after {
    background: #4d549f !important;
    background-color: #4d549f !important;
    border-color: #4d549f !important;
    box-shadow: none !important;
}

.is-success.input:focus {
    box-shadow: none !important;
    font-weight: 500 !important;
}
.select.is-success select:hover,
.select.is-success:not(:hover)::after {
    border-color: #4d549f !important;
    box-shadow: none !important;
    font-weight: 500 !important;
}

.is-checkradio[type='radio'].is-success:hover:not([disabled]) + label::before,
.is-checkradio[type='radio'].is-success:hover:not([disabled]) + label:before {
    border-color: #4d549f !important;
}

.help.is-danger,
.is-danger.input,
.select.is-danger select,
.select.is-danger:not(:hover)::after {
    color: #a10b0a !important;
    border-color: #a10b0a !important;
    box-shadow: none !important;
}

.input,
.select select,
.textarea {
    border-color: #9ac6c1 !important;
    box-shadow: none !important;
}

.is-checkradio[type='radio'] + label::before,
.is-checkradio[type='radio'] + label::before,
.is-checkradio[type='checkbox'] + label::before,
.is-checkradio[type='checkbox'] + label::before {
    border-color: #9ac6c1 !important;
}

/*---------------------------------Steps style------------------------------------*/
.steps .step-item.is-active.is-completed .step-marker,
.steps .step-item.is-active .step-marker,
.steps .step-item.is-active::before,
.steps .step-item.is-completed .step-marker,
.steps .step-item.is-completed::before {
    color: #e5e8fc !important;
    background-color: #4a9a91 !important;
}

.steps .step-item .step-marker,
.steps .step-item:not(:first-child)::before {
    background: #c6c6c6;
}
/*----------------------------Modals style------------------------------*/
.card {
    overflow: visible;
}

/*.modal-background {
    background-color: rgba(10,10,10,0.75);
}
*/
.fade:not(.show) {
    opacity: 1;
}

.modal-content {
    min-width: max-content !important;
    position: relative;
}

.close-icon {
    background: #316660;
    color: #316660;
}

.modal-header {
    background-color: #9ac6c1 !important;
}

.modal-title {
    font-family: 'Barlow', sans-serif !important;
    font-weight: 600 !important;
    font-size: 1.5rem !important;
    color: #316660 !important;
    margin: 4px !important;
}

.modal-general-font {
    font-family: 'Barlow', sans-serif !important;
    color: #3b3a3a !important;
}

.modal-label {
    text-align: left;
    font: normal normal normal 16px/20px Barlow;
    letter-spacing: 0px;
    color: #3b3a3a;
    opacity: 1;
}

.modal-footer {
    border-top-color: #9ac6c1;
    background-color: #ffffff;
    justify-content: right;
}

.modal-footer-div {
    margin-left: 14rem !important;
    display: flex !important;
    justify-content: flex-end !important;
}

.modal-button {
    background: none;
    font-size: 1.5rem;
    padding-left: 7px;
    margin-bottom: 3px;
    border-radius: 0.3rem;
    width: 40px;
    height: 40px;
    border-style: solid;
    margin: 0.5rem;
    border-width: 0.18rem;
    right: initial;
}

.save-button {
    border-color: #34ada5;
    color: #34ada5;
}

.accept-button {
    color: #0c5a0b;
    border-color: #0c5a0b;
}

.cancel-button {
    color: #a10b0a;
    border-color: #a10b0a;
}
.disabled-button {
    color: #b4b3b3;
    border-color: #b4b3b3;
    pointer-events: none;
}

.invisible-button {
    color: transparent;
    border-color: transparent;
    pointer-events: none;
}

/*----------------------------Sidebar style------------------------------*/
.b-bar-link {
    padding-left: 0.5rem !important;
}

.b-bar-vertical-inline[data-collapse='small'] {
    padding-left: 0.5rem;
    transition: ease;
    transition-duration: 500ms;
}

.b-bar-vertical-inline[data-collapse='small']
    .b-bar-dropdown
    .b-bar-dropdown-menu-container {
    margin: -42px 5px 0px -10px !important;
}

/*------------------------*/
.collapse-header {
    border-radius: 8px 8px 0px 0px !important;
    background-color: #9ac6c1 !important;
}

.collapse-title {
    align-self: center;
    color: #316660;
    margin-top: 1%;
    margin-bottom: 1%;
}

.collapse-button {
    width: auto;
    color: #316660;
    border: none;
    align-self: center;
    font-weight: 600;
    background: none;
    padding: 0 !important;
}

/*----------------------------------responsive------------------*/

@media (min-width: 1024px) {
    .collapse-title,
    .collapse-button {
        font-size: 19px !important;
    }
}

@media (max-width: 1023.9px) {
    .collapse-title,
    .collapse-button {
        font-size: 18px !important;
    }
}

@media (max-width: 819px) {
    .collapse-button,
    th,
    td {
        font-size: 16px !important;
    }
    .collapse-button-extras {
        margin-right: 1rem !important;
    }
    .modal-title {
        font-size: 22px !important;
    }
    .collapse-title {
        font-size: 18px !important;
    }
}

@media (max-width: 500px) {
    th,
    td {
        font-size: 12px !important;
        padding: 4px !important;
    }
    .modal-title {
        font-size: 17px !important;
    }
    .collapse-title {
        font-size: 16px !important;
    }
}
